%define lib_name	libaiksaurus
%define lib_namegtk	%{lib_name}-gtk

Name: aiksaurus
Version: 1.2.1
Release: alt1.1

Summary: An English-language thesaurus library

License: GPL
Group: Text tools
Url: http://sourceforge.net/projects/aiksaurus/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name.png

Requires: %name-data

# manually removed: gcc-g77
# Automatically added by buildreq on Tue Sep 14 2004
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ glib2-devel hostinfo libatk-devel libgtk+2-devel libpango-devel libstdc++-devel pkgconfig

%description
Aiksaurus is an English-language thesaurus library that can be
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities.
This package contains a basic command line thesaurus program.

Install Aiksaurus if you want to have a thesaurus available on
your computer.

%package -n %name-data
Summary: An English-language thesaurus library
Group: Text tools

%description -n %name-data
Aiksaurus is an English-language thesaurus library that can be
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities.
This package contains the datafiles.

%package -n %lib_name
Summary: An English-language thesaurus library
Group: Text tools
Requires: %name-data

%description -n %lib_name
Aiksaurus is an English-language thesaurus library that can be
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities.
This package contains these libraries.

Install Aiksaurus if you want to have a thesaurus available on
your computer.

%package -n %lib_name-devel
Summary: Libraries and include files for Aiksuarus
Group: Development/C
Requires: %lib_name = %version-%release

%description -n %lib_name-devel
Aiksaurus is an English-language thesaurus library that can be
embedded in word processors, email composers, and other authoring
software to provide thesaurus capabilities.
This package contains the libraries and includes files necessary to develop
applications with Aiksaurus.

%package -n %{name}-gtk
Summary: A GTK+ thesaurus application
Group: Text tools

%description -n %{name}-gtk
Aiksaurusgtk is a GTK+ interface to the Aiksaurus library.
It provides an attractive thesaurus interface, and can be embedded
in GTK+ projects, notably AbiWord.
This package provides the standalone GTK+ interface.

%package -n %lib_namegtk
Summary: Libraries for aiksaurusgtk
Group: Text tools

%description -n %lib_namegtk
Aiksaurusgtk is a GTK+ interface to the Aiksaurus library.
It provides an attractive thesaurus interface, and can be embedded
in GTK+ projects, notably AbiWord.
This package provides the library files for aiksaurusgtk.

%package -n %lib_namegtk-devel
Summary: A GTK+ thesaurus library
Group: Development/C
Requires: %lib_namegtk = %version-%release

%description -n %lib_namegtk-devel
This package contains the libraries and includes files necessary to develop
applications with Aiksaurusgtk.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

install -D -m644 %SOURCE1 $RPM_BUILD_ROOT%_iconsdir/%name.png

# menu entry
mkdir -p $RPM_BUILD_ROOT%_libdir/menu
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): \
	command="%_bindir/g%name" \
	needs="X11" \
	icon="%name.png" \
	section="Applications/Text tools" \
	title="Aiksaurus" \
	genericname="Thesaurus" \
	longtitle="An English-language thesaurus library"
EOF

%post -n %name-gtk
%update_menus

%postun -n %name-gtk
%clean_menus

%post -n %lib_name
%post_ldconfig

%post -n %lib_namegtk
%post_ldconfig

%postun -n %lib_name 
%postun_ldconfig

%postun -n %lib_namegtk
%postun_ldconfig

%files
%doc ChangeLog README AUTHORS
%_bindir/aiksaurus
%_bindir/caiksaurus

%files -n %name-data
%dir %_datadir/aiksaurus
%_datadir/aiksaurus/*.dat

%files -n %lib_name
%_libdir/libAiksaurus-*.so.*

%files -n %lib_name-devel
%_libdir/libAiksaurus.so
%_libdir/pkgconfig/aiksaurus-1.0.pc
%dir %_includedir/Aiksaurus
%_includedir/Aiksaurus/Aiksaurus.h
%_includedir/Aiksaurus/AiksaurusC.h

%files -n %{name}-gtk
%_bindir/gaiksaurus
%_menudir/%name
%_iconsdir/%name.png

%files -n %lib_namegtk
%_libdir/libAiksaurusGTK-*.so.*

%files -n %lib_namegtk-devel
%_libdir/libAiksaurusGTK.so
%_libdir/pkgconfig/gaiksaurus-1.0.pc
%_includedir/Aiksaurus/AiksaurusGTK*.h

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.1-alt1.1
- Rebuilt with libstdc++.so.6.

* Tue Sep 14 2004 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt1
- first build for ALT Linux Sisyphus
- add menu and icon for gtk-version

* Mon Aug 09 2004 Marcel Pol <mpol@mandrake.org> 1.2.1-1mdk
- 1.2.1
- increase api version
- no need to run aclocal anymore

* Wed Jun 09 2004 Marcel Pol <mpol@mandrake.org> 1.0.2-0.cvs20040609.1mdk
- cvs snapshot

* Wed Dec 16 2003 Marcel Pol <mpol@mandrake.org> 1.0.1-5mdk
- use better 64bit (build)requires

* Sun Oct 19 2003 Marcel Pol <mpol@gmx.net> 1.0.1-4mdk
- buildrequires

* Fri Aug 29 2003 Marcel Pol <mpol@gmx.net> 1.0.1-3mdk
- buildrequires

* Mon Jul 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-2mdk
- Rebuild

* Wed Jul 16 2003 Marcel Pol <mpol@gmx.net> 1.0.1-1mdk
- rebuild for provides/requires
- s/Aiksaurus/aiksaurus
- new url
- source now includes gtk frontend
- drop patch0
- run aclocal to avoid libtool problems
- new soname

* Thu May 22 2003 Marcel Pol <mpol@gmx.net> 0.15-2mdk
- rebuild for provides/requires

* Mon Mar 10 2003 Marcel Pol <mpol@gmx.net> 0.15-1mdk
- initial mandrake release
